Oliver Micka

CCW V13.0

9 posts in this topic

Hi, I have a little issue with CCW V 13.
Whenever i open CCW , during the opening software popped up this window ( see attachment ).
Does anybody know how can i resolve this problem ?

Zdrojový text

ccw_issue.PNG

Share this post


Link to post
Share on other sites

I am still on version 12, I would try re-installing.

Share this post


Link to post
Share on other sites

I had same issue in version 12, i tried reinstall ( nothing did happen ). I installed V13 and this issue is still same.

Share this post


Link to post
Share on other sites

OLE is Object Linking and Embedding, which is used to link embedded objects from multiple applications. OPC is OLE for process control, so kind of like an acronym within an acronym. Core components of OPC are necessary for all classic OPC applications. It's a pain in the butt, but you need one (the correct OPC) installed for the other (CCW or other OPC dependent applications) to work so you can access all your graphics and such within the application. This is an over-simplified explanation, but hopefully it has given you an idea of why you're getting this install error. 

Your error code says you're using V0, which I've never heard of and makes me wonder if you have OPC core components installed at all. The attached release notes for CCW V13 (like your error code) says you need V3.0. (Page 6):

https://literature.rockwellautomation.com/idc/groups/literature/documents/rn/cc-rn001_-en-p.pdf

The link below should allow you to download what you need. You will have to become an OPC Foundation member, which usually only requires a valid email address.

https://opcfoundation.org/developer-tools/samples-and-tools-classic/core-components/

I believe there are other places on the web you can download this, as well, if you prefer. Once the OPC is downloaded and installed, CCW should start working for you. 

Share this post


Link to post
Share on other sites
4 hours ago, ElectronGuru said:

OLE is Object Linking and Embedding, which is used to link embedded objects from multiple applications. OPC is OLE for process control, so kind of like an acronym within an acronym. Core components of OPC are necessary for all classic OPC applications. It's a pain in the butt, but you need one (the correct OPC) installed for the other (CCW or other OPC dependent applications) to work so you can access all your graphics and such within the application. This is an over-simplified explanation, but hopefully it has given you an idea of why you're getting this install error. 

Your error code says you're using V0, which I've never heard of and makes me wonder if you have OPC core components installed at all. The attached release notes for CCW V13 (like your error code) says you need V3.0. (Page 6):

https://literature.rockwellautomation.com/idc/groups/literature/documents/rn/cc-rn001_-en-p.pdf

The link below should allow you to download what you need. You will have to become an OPC Foundation member, which usually only requires a valid email address.

https://opcfoundation.org/developer-tools/samples-and-tools-classic/core-components/

I believe there are other places on the web you can download this, as well, if you prefer. Once the OPC is downloaded and installed, CCW should start working for you. 

 

Thank you for your answer.

I tried use your procedure, but if i open ( OPC Core Components Redistributable (x64) 3.00.108.msi ) i have only option" Repair or Remove or Cancel.. 

I did use "Repair" and after repairing nothing did happen. 
I did try restart PC and open CCW again after restart, but that problem is still same. ( installed is version 0, required version 101 ).

Share this post


Link to post
Share on other sites
3 hours ago, Oliver Micka said:

 

Thank you for your answer.

I tried use your procedure, but if i open ( OPC Core Components Redistributable (x64) 3.00.108.msi ) i have only option" Repair or Remove or Cancel.. 

I did use "Repair" and after repairing nothing did happen. 
I did try restart PC and open CCW again after restart, but that problem is still same. ( installed is version 0, required version 101 ).

Since it is responding Repair, Remove or Cancel your system obviously thinks it is already installed.  Rather than repair do a remove.  Then reboot the PC.  Then Install the OPC Core Components Redistributable (x64) 3.00.108.msi you downloaded.  IT would probably also be best if you uninstalled CCW then OPC then reboot and reinstall.  I know it's a lot of work, but should remove any corruption and get you going.

1 person likes this

Share this post


Link to post
Share on other sites
On 15. 9. 2021 at 2:49 AM, VFD Guy said:

What is your OS and version of RSLinx?

OS Windows 10

RsLinx: 4.20.00 cpr 9 sr 12

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!


Register a new account

Sign in

Already have an account? Sign in here.


Sign In Now